        //general purpose functions handling cookies
        // and storing preferences in cookies:
        // get/setCookie(), load/storePreferredText/Choice()


        function print(s)
        {
          //Packages.java.lang.System.out.println("wbd/cookie.js: "+s);
          alert("wbd/cookie.js: "+s);
        }

        //function: setCookieExp
        //scope: local but general
        //purpose: stores a cookie
        //param: nam - name of the cookie
        //param: val - value of the cookie
        //param: day - expiration time in days
        function setCookieExp(nam,val,day)
        {
          //print("setCookie("+nam+","+val+","+day+")");
          //escape(val)
          var exp=new Date();
          exp.setTime(exp.getTime()+day*86400000);
          var cookieS=nam+'='+val+'; expires='+exp.toGMTString();
          //print("setCookie(): cookieS=\""+cookieS+"\"");
          document.cookie=cookieS;
        }

        //function: setCookie
        //purpose: setCookieExp with default expiration in 14 days
        //see: setCookieExp()
        function setCookie(nam,val)
        {
          setCookieExp(nam,val,14);
        }

        //function: getCookie
        //scope: local but general
        //purpose: retrieves the value of the named cookie
        //param: nam - name of the cookie
        //return: value of the cookie or empty string if cookie is not set
        function getCookie(namp)
        {
          var nam=new String(namp);
          //print("getCookie("+nam+")");
          var allCook=document.cookie;
          //print("getCookie("+nam+"): allCook="+allCook);

          var beg=allCook.indexOf(nam+'=');
          //print("getCookie(): beg="+beg);
          if(beg==-1)
            return null;
          beg+=nam.length+1;
          //print("getCookie(): beg2="+beg);

          var end=allCook.indexOf(';',beg);
          //print("getCookie(): end="+end);
          if(end==-1)
            end=allCook.length;
          //print("getCookie(): end2="+end);

          var cookieS=allCook.substring(beg,end);
          //print("getCookie(): cookieS=\""+cookieS+"\"");
          return cookieS;
        }
